Bug 193583 - [PATCH] security/trousers: fix build with security/openssl
Summary: [PATCH] security/trousers: fix build with security/openssl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-12 12:02 UTC by poyopoyo
Modified: 2014-09-21 23:15 UTC (History)
1 user (show)

See Also:
mva: maintainer-feedback? (hrs)


Attachments
trousers_Makefile.diff (432 bytes, patch)
2014-09-12 12:02 UTC, poyopoyo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description poyopoyo 2014-09-12 12:02:52 UTC
Created attachment 147247 [details]
trousers_Makefile.diff

when security/trousers compiles over security/openssl port, it tries to link base openssl and fails for an obvious reason. To fix, tell them proper place to compile and link via --with-openssl= CONFIGURE_ARGS.
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2014-09-17 20:42:40 UTC
Over to maintainer.
Comment 2 commit-hook freebsd_committer 2014-09-21 23:12:21 UTC
A commit references this bug:

Author: hrs
Date: Sun Sep 21 23:12:19 UTC 2014
New revision: 368793
URL: http://svnweb.freebsd.org/changeset/ports/368793

Log:
  Fix build when security/openssl is installed.

  PR:	193583

Changes:
  head/security/trousers/Makefile
Comment 3 Hiroki Sato freebsd_committer 2014-09-21 23:15:53 UTC
Committed a fix.  Thank you for your report!